SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                ANAG                                  ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SET NAMES UTF8; -- noqa: PRS



CONNECT 'localhost:./firebird_data/anag.fdb' USER 'SYSDBA' PASSWORD 'masterkey';  -- noqa: PRS



SET SQL DIALECT 3; -- noqa: PRS



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                         DATE/TIME INFO                               ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SELECT

    CURRENT_DATE,

    CURRENT_TIME,

    CURRENT_TIMESTAMP

FROM RDB$DATABASE;  -- noqa: LXR, PRS



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                PAGHE                                 ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SET NAMES UTF8; -- noqa: PRS



CONNECT 'localhost:./firebird_data/paghe.fdb' USER 'SYSDBA' PASSWORD 'masterkey';  -- noqa: PRS



SET SQL DIALECT 3; -- noqa: PRS



-- Uniemens 4.29.0 del 28/02/2025



INSERT INTO INPS_EVENTO (IDINPSEVENTO, DESCRIZIONE, DESCRIZIONE2, DATASCADENZA, ATTIVO, COPERTURA) VALUES ('PG4', 'Periodi di congedo parentale in modalità oraria indennizzati in misura dell’80 per cento della retribuzione nella misura massima di tre mesi fino al sesto anno di vita del bambino di cui all’articolo 34, comma 1 del D.Lgs. n. 151/2001 come modificato dalla legge n. 207/2024', NULL, NULL, NULL, NULL);

INSERT INTO INPS_EVENTO (IDINPSEVENTO, DESCRIZIONE, DESCRIZIONE2, DATASCADENZA, ATTIVO, COPERTURA) VALUES ('PG5', 'Periodi di congedo parentale in modalità giornaliera indennizzati in misura dell’80 per cento della retribuzione nella misura massima di tre mesi fino al sesto anno di vita del bambino di cui all’articolo 34, comma 1 del D.Lgs. n. 151/2001 come modificato dalla legge n. 207/2024', NULL, NULL, NULL, NULL);



INSERT INTO TIPOASSENZA (IDTIPOASSENZA, IDCATEGORIA, IDINPSEVENTO, IDTIPOELEMENTO, CAUSALE, DESCRIZIONE, DESCRIZIONE2, INDIRETTO, RETRIBAGGIUNTIVA, TFR, ORDERID, ATTIVO) VALUES ('132', '5', 'PG4', '15', NULL, 'Periodi di congedo parentale in modalità oraria indennizzati in misura dell’80 per cento della retribuzione nella misura massima di tre mesi fino al sesto anno di vita del bambino di cui all’articolo 34, comma 1 del D.Lgs. n. 151/2001 come modificato dalla legge n. 207/2024', 'Periodo di congedo parentale 80%', NULL, NULL, NULL, '50', '1');

INSERT INTO TIPOASSENZA (IDTIPOASSENZA, IDCATEGORIA, IDINPSEVENTO, IDTIPOELEMENTO, CAUSALE, DESCRIZIONE, DESCRIZIONE2, INDIRETTO, RETRIBAGGIUNTIVA, TFR, ORDERID, ATTIVO) VALUES ('133', '5', 'PG5', '15', NULL, 'Periodi di congedo parentale in modalità giornaliera indennizzati in misura dell’80 per cento della retribuzione nella misura massima di tre mesi fino al sesto anno di vita del bambino di cui all’articolo 34, comma 1 del D.Lgs. n. 151/2001 come modificato dalla legge n. 207/2024', 'Periodo di congedo parentale 80%', NULL, NULL, NULL, '50', '1');



INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('L331', 'Conguaglio congedo parentale in misura dell’80% della retribuzione per tre mesi fino al sesto anno di vita del bambino Art 1 co 217 L.207/04.', NULL, NULL, '1', NULL, NULL);

INSERT INTO DR_TIPOCAUSALECONTRIBAGG (IDCAUSALE, DESCRIZIONE, CONTRIBUTOLAV, CONTRIBUTODAT, TIPOMOTIVO, VALIDODAL, VALIDOAL) VALUES ('EZES', 'Esonero contributivo Zona Economica Speciale unica per il Mezzogiorno - D.L.7 maggio 2024, n. 60, convertito, con modificazioni, dalla Legge 4 luglio 2024, n. 95.', NULL, NULL, '1', NULL, NULL);



INSERT INTO PA_TIPOSERVIZIO (IDTIPOSERVIZIO, DESCRIZIONE) VALUES ('3Z', 'Periodi di congedo parentale in modalità oraria indennizzati in misura dell’80 per cento della retribuzione nella misura massima di tre mesi fino al sesto anno di vita del bambino di cui all’articolo 34, comma 1 del D.Lgs. n. 151/2001 come modificato dalla legge n. 207/2024, fruiti dai dipendenti delle aziende di cui all’art.20 c.2 del decreto-legge 25 giugno 2008 n. 112. ');

INSERT INTO PA_TIPOSERVIZIO (IDTIPOSERVIZIO, DESCRIZIONE) VALUES ('4A', 'Periodi di congedo parentale in modalità giornaliera indennizzati in misura dell’80 per cento della retribuzione nella misura massima di tre mesi fino al sesto anno di vita del bambino di cui all’articolo 34, comma 1 del D.Lgs. n. 151/2001 come modificato dalla legge n. 207/2024, fruiti dai dipendenti delle aziende di cui all’art.20 c.2 del decreto-legge 25 giugno 2008 n. 112.');



INSERT INTO PA_TIPORECUPERO (IDTIPORECUPERO, DESCRIZIONE) VALUES ('66', 'Bonus Zona Economica Speciale unica per il Mezzogiorno - D.L.7 maggio 2024, n. 60, convertito, con modificazioni, dalla Legge 4 luglio 2024, n. 95. (utilizzabile a seguito della pubblicazione di specifico messaggio/circolare)');



INSERT INTO DMAG_TIPOAGEVOLAZ (IDTIPOAGEVOLAZ, DESCRIZIONE) VALUES ('ZP', 'Arretrati Esonero contributivo Zona Economica Speciale unica per il Mezzogiorno - D.L.7 maggio 2024, n. 60, convertito, con modificazioni, dalla Legge 4 luglio 2024, n. 95.');

INSERT INTO DMAG_TIPOAGEVOLAZ (IDTIPOAGEVOLAZ, DESCRIZIONE) VALUES ('ZS', 'Esonero contributivo Zona Economica Speciale unica per il Mezzogiorno - D.L.7 maggio 2024, n. 60, convertito, con modificazioni, dalla Legge 4 luglio 2024, n. 95.');



COMMIT WORK;



-- Aggiornamento contratti CNEL - da Uniemens 4.29.0 del 28/02/2025



UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'B101', DESCRIZIONE = 'CCNL per gli addetti delle aziende conciarie', IDCNELSETTORE = 'B', CONTRAENTIDATORIALI = 'UNIC', CONTRAENTISINDACALI = 'FILCTEM CGIL; CGIL; FEMCA CISL; CISL; UILTEC UIL; UIL', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'B101';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'C051', DESCRIZIONE = 'CCNL settore Metalmeccanico e di installazione impianti', IDCNELSETTORE = 'C', CONTRAENTIDATORIALI = 'FEDERSICUREZZA ITALIA', CONTRAENTISINDACALI = 'ANEAS; ATECA; FIADEL SP', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'C051';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'C066', DESCRIZIONE = 'CCNL per i lavoratori addetti alle MPMI del settore dell''industria metalmeccanica - informatori scientifici ed alle imprese di installazione di impianti', IDCNELSETTORE = 'C', CONTRAENTIDATORIALI = 'UNIMPRESA; UNIMPRESA INDUSTRIA; UNIMPRESA Federazione Nazionale Imprese Metalmeccaniche; UNIMPRESA Impianti e Nuove Tecnologie', CONTRAENTISINDACALI = 'CONFAIL; SALM; CIU', VALIDOAL = '2025-02-01' WHERE IDCNELCONTRATTO = 'C066';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'E012', DESCRIZIONE = 'CCNL per l''industria alimentare', IDCNELSETTORE = 'E', CONTRAENTIDATORIALI = 'ANCIT; ANICAV; ASSICA; ASSITOL; ASSOBIBE; ASSOBIRRA; ASSOLATTE; FEDERVINI; MINERACQUA; UNAITALIA; UNIONE ITALIANA FOOD - UNIONFOOD; FEDERPRIMA (in rappresentanza di: ASSALZOO; ASSOCARNI; ITALMOPA)', CONTRAENTISINDACALI = 'FAI CISL; FLAI CGIL; UILA UIL', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'E012';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'F032', DESCRIZIONE = 'dipendenti dalle aziende esercenti la produzione del cemento, della calce e suoi derivati, del gesso e relativi manufatti, delle malte e dei materiali di base per le costruzioni, nonché la produzione promiscua di cemento, calce, gesso e malte', IDCNELSETTORE = 'F', CONTRAENTIDATORIALI = 'FEDERBETON', CONTRAENTISINDACALI = 'FENEAL UIL; FILCA CISL; FILLEA CGIL; (UGL COSTRUZIONI in firma separata)', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'F032';

INSERT INTO CNEL_CONTRATTO (IDCNELCONTRATTO, DESCRIZIONE, IDCNELSETTORE, CONTRAENTIDATORIALI, CONTRAENTISINDACALI, VALIDOAL) VALUES ('G013', 'CCNL Grafica e Editoria - Industria', 'G', 'CONFLAVORO PMI', 'FESICA CONFSAL; CONFSAL', NULL);

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'H03A', DESCRIZIONE = 'intersettoriale: Commercio, Terziario, Distribuzione, Servizi, Pubblici Esercizi e Turismo', IDCNELSETTORE = 'H', CONTRAENTIDATORIALI = 'CIFA', CONTRAENTISINDACALI = 'CONFSAL Federlavoratori; CONFSAL', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'H03A';

INSERT INTO CNEL_CONTRATTO (IDCNELCONTRATTO, DESCRIZIONE, IDCNELSETTORE, CONTRAENTIDATORIALI, CONTRAENTISINDACALI, VALIDOAL) VALUES ('H16B', 'CCNL per i dipendenti delle aziende del terziario, commercio, pubblici esercizi e turismo', 'H', 'UNILAVORO PMI; FUTURO IMPRESA', 'CISALP', NULL);

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'HV4A', DESCRIZIONE = 'CCNL per i dipendenti degli istituti investigativi privati e delle agenzie di sicurezza sussidiaria o complementare', IDCNELSETTORE = 'H', CONTRAENTIDATORIALI = 'FEDERPOL', CONTRAENTISINDACALI = 'FESICA CONFSAL', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'HV4A';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'I100', DESCRIZIONE = 'CCNL logistica, trasporto merci e spedizione (personale non dirigente)', IDCNELSETTORE = 'I', CONTRAENTIDATORIALI = 'AITI; ASSOESPRESSI; ASSOLOGISTICA; FEDESPEDI; FEDIT; FISI; TRASPORTOUNITO FIAP; CONFETRA; ANITA; FAI; ASSOTIR; FEDERLOGISTICA; UNITAI; CONFTRASPORTO; CNA FITA; CONFARTIGIANATO TRASPORTI; SNA CASARTIGIANI; CLAAI; CONFCOOPERATIVE LAVORO E SERVIZI; LEGACOOP PRODUZIONE E SERVIZI; AGCI SERVIZI; FEDERTRASLOCHI; AITE; FIAP', CONTRAENTISINDACALI = 'FILT CGIL; FIT CISL; UILTRASPORTI UIL', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'I100';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'I145', DESCRIZIONE = 'CCNL per i soci e i dipendenti delle cooperative esercenti attività prevalente nel settore autotrasporto, spedizione merci, logistica e facchinaggio', IDCNELSETTORE = 'I', CONTRAENTIDATORIALI = 'UNICOOP', CONTRAENTISINDACALI = 'UGL Viabilita'' e Logistica; UGL', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'I145';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'J153', DESCRIZIONE = 'CCNL per i dipendenti dalle agenzie di assicurazione in gestione libera', IDCNELSETTORE = 'J', CONTRAENTIDATORIALI = 'ANAPA CONFCOMMERCIO; CONFCOMMERCIO', CONTRAENTISINDACALI = 'FIRST CISL; FISAC CGIL; UILCA UIL; FNA', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'J153';

UPDATE CNEL_CONTRATTO SET IDCNELCONTRATTO = 'T431', DESCRIZIONE = 'CCNL per il personale non dirigente dell''ISMEA', IDCNELSETTORE = 'T', CONTRAENTIDATORIALI = 'ISMEA', CONTRAENTISINDACALI = 'CGIL FP; CISL FP; UIL PA; CONFINTESA EPE', VALIDOAL = NULL WHERE IDCNELCONTRATTO = 'T431';

INSERT INTO CNEL_CONTRATTO (IDCNELCONTRATTO, DESCRIZIONE, IDCNELSETTORE, CONTRAENTIDATORIALI, CONTRAENTISINDACALI, VALIDOAL) VALUES ('V25H', 'CCNL per RSGSL trasversalmente impiegati in tutti i settori e comparti', 'V', 'ADLI', 'FITESC', NULL);

INSERT INTO CNEL_CONTRATTO (IDCNELCONTRATTO, DESCRIZIONE, IDCNELSETTORE, CONTRAENTIDATORIALI, CONTRAENTISINDACALI, VALIDOAL) VALUES ('V930', 'CCNL per i dipendenti degli Istituti di Patronato', 'V', 'CIU; CONAPI; CONFIMPRESE ITALIA; FEDERAZIONE PROFESSIONISTI; AISOP', 'SILPA', NULL);



COMMIT WORK;



-- Fix da PagheOpen







DELETE FROM  CONTRATTODETTAGLIOLIVELLOVOCE WHERE IDCONTRATTODETTAGLIO = '23' and VALIDODAL IN ( '11.01.2024', '12.01.2024', '07.01.2025', '03.01.2026', '11.01.2026');



COMMIT WORK;



INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '1Q', '5', '01.12.2024', '2018.11', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '1', '5', '01.12.2024', '2018.11', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '2', '5', '01.12.2024', '1877.78', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '2bis', '5', '01.12.2024', '1773.08', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '3', '5', '01.12.2024', '1704.96', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '4', '5', '01.12.2024', '1606.98', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '5', '5', '01.12.2024', '1547.75', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);



COMMIT WORK; -- skip error



DELETE FROM CONTRATTORATEOVALORE WHERE IDCONTRATTODETTAGLIO = '208' AND IDRATEO = '1' AND IDTIPORATEO = '4';

DELETE FROM CONTRATTORATEOVALORE WHERE IDCONTRATTODETTAGLIO = '208' AND IDRATEO = '2' AND IDTIPORATEO = '4';

UPDATE CONTRATTORATEOVALORE SET VALORE = '2.666670' WHERE IDCONTRATTODETTAGLIO = '208' AND IDRATEO = '1' AND IDTIPORATEO = '3';

UPDATE CONTRATTORATEOVALORE SET VALORE = '2.666670' WHERE IDCONTRATTODETTAGLIO = '208' AND IDRATEO = '2' AND IDTIPORATEO = '3';



COMMIT WORK;



INSERT INTO ELEMENTORETRIBUTIVO (IDELEMENTO, IDTIPOELEMENTO, IDTIPOELEMENTO2, IDFREQUENZA, IDBASEIMPONIBILE, IMPORTO, PERCENTUALE, DESCRIZIONE, DESCRIZIONE2, IDENTEPREVIDENZIALE, ALIQUOTAPREVIDENZ, IRPEF, IRPEFALIQUOTA, IRPEFALIQUOTASOST, INAIL, INAILALIQUOTA, TFR, TFRALIQUOTA, INDIRETTO, NETTO, RIFIMPRESA, RIFTIPOLAVORATORE, RIFCONTRATTO, DATAEROGAZIONE, LIMITEQUANTITAANNUA, ORDINAMENTO, RICORRENTE, CONTRATTUALIZZATO, RIFASSENZA, FIGURATIVO, RECALC, GRUPPO, NASCOSTO, NOTE) VALUES ('1178', '11', '1', '0', NULL, NULL, NULL, 'Arretrato anno precedente (no inps) (su lordo) (tassaz. separata)', 'Arretrato anno preced. (su lordo)', '0', NULL, '0', NULL, NULL, '1', NULL, '1', NULL, '0', NULL, NULL, '2', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, '0', NULL);



COMMIT WORK; -- skip error



-- Fix descrizione CU 2025



-- TODO:

-- DELETE FROM CURECORD WHERE ANNO = '2025' AND IDCUSEZIONE = '8' AND IDCURECORD = '363';

-- DELETE FROM CURECORD WHERE ANNO = '2025' AND IDCUSEZIONE = '16' AND IDCURECORD = '658';

-- DELETE FROM CURECORD WHERE ANNO = '2025' AND IDCUSEZIONE = '11' AND IDCURECORD = '476';



UPDATE CURECORDSEZIONE SET DESCRIZIONE = 'Assistenza fiscale 730/2024 dichiarante' WHERE ANNO = '2025' AND IDCUSEZIONE = '4';

UPDATE CURECORDSEZIONE SET DESCRIZIONE = 'Assistenza fiscale 730/2024 coniuge' WHERE ANNO = '2025' AND IDCUSEZIONE = '6';



UPDATE CURECORD SET DESCRIZIONE = 'Saldo Irpef 2023 trattenuto' WHERE ANNO = '2025' AND IDCUSEZIONE = '4' AND IDCURECORD = '61';

UPDATE CURECORD SET DESCRIZIONE = 'Saldo Irpef 2023 rimborsato' WHERE ANNO = '2025' AND IDCUSEZIONE = '4' AND IDCURECORD = '62';

UPDATE CURECORD SET DESCRIZIONE = 'Saldo Irpef 2023 non trattenuto' WHERE ANNO = '2025' AND IDCUSEZIONE = '4' AND IDCURECORD = '63';

UPDATE CURECORD SET DESCRIZIONE = 'Saldo Irpef 2023 non rimborsato' WHERE ANNO = '2025' AND IDCUSEZIONE = '4' AND IDCURECORD = '64';

UPDATE CURECORD SET DESCRIZIONE = 'Addizionale regionale 2023 trattenuto' WHERE ANNO = '2025' AND IDCUSEZIONE = '4' AND IDCURECORD = '71';

UPDATE CURECORD SET DESCRIZIONE = 'Addizionale regionale 2023 rimborsato' WHERE ANNO = '2025' AND IDCUSEZIONE = '4' AND IDCURECORD = '72';

UPDATE CURECORD SET DESCRIZIONE = 'Addizionale regionale 2023 non trattenuto' WHERE ANNO = '2025' AND IDCUSEZIONE = '4' AND IDCURECORD = '73';

UPDATE CURECORD SET DESCRIZIONE = 'Addizionale regionale 2023 non rimborsato' WHERE ANNO = '2025' AND IDCUSEZIONE = '4' AND IDCURECORD = '74';

UPDATE CURECORD SET DESCRIZIONE = 'Addizionale regionale 2023 codice regione' WHERE ANNO = '2025' AND IDCUSEZIONE = '4' AND IDCURECORD = '75';

UPDATE CURECORD SET DESCRIZIONE = 'Saldo addizionale comunale 2023 trattenuto' WHERE ANNO = '2025' AND IDCUSEZIONE = '4' AND IDCURECORD = '81';

UPDATE CURECORD SET DESCRIZIONE = 'Saldo addizionale comunale 2023 rimborsato' WHERE ANNO = '2025' AND IDCUSEZIONE = '4' AND IDCURECORD = '82';

UPDATE CURECORD SET DESCRIZIONE = 'Saldo addizionale comunale 2023 non trattenuto' WHERE ANNO = '2025' AND IDCUSEZIONE = '4' AND IDCURECORD = '83';

UPDATE CURECORD SET DESCRIZIONE = 'Saldo addizionale comunale 2023 non rimborsato' WHERE ANNO = '2025' AND IDCUSEZIONE = '4' AND IDCURECORD = '84';

UPDATE CURECORD SET DESCRIZIONE = 'Saldo addizionale comunale codice comune' WHERE ANNO = '2025' AND IDCUSEZIONE = '4' AND IDCURECORD = '85';

UPDATE CURECORD SET DESCRIZIONE = 'Saldo cedolare secca locazioni 2023 trattenuto' WHERE ANNO = '2025' AND IDCUSEZIONE = '4' AND IDCURECORD = '91';

UPDATE CURECORD SET DESCRIZIONE = 'Saldo cedolare secca locazioni 2023 rimborsato' WHERE ANNO = '2025' AND IDCUSEZIONE = '4' AND IDCURECORD = '92';

UPDATE CURECORD SET DESCRIZIONE = 'Saldo cedolare secca locazioni 2023 non trattenuto' WHERE ANNO = '2025' AND IDCUSEZIONE = '4' AND IDCURECORD = '93';

UPDATE CURECORD SET DESCRIZIONE = 'Saldo cedolare secca locazioni 2023 non rimborsato' WHERE ANNO = '2025' AND IDCUSEZIONE = '4' AND IDCURECORD = '94';

UPDATE CURECORD SET DESCRIZIONE = 'Prestaz. aggiuntive personale sanitario - Compenso' WHERE ANNO = '2025' AND IDCUSEZIONE = '16' AND IDCURECORD = '671';

UPDATE CURECORD SET DESCRIZIONE = 'Prestaz. aggiuntive personale sanitario - Imposta sostitutiva' WHERE ANNO = '2025' AND IDCUSEZIONE = '16' AND IDCURECORD = '672';

UPDATE CURECORD SET DESCRIZIONE = 'Prestaz. aggiuntive personale sanitario - Imposta sostitutiva sospesa' WHERE ANNO = '2025' AND IDCUSEZIONE = '16' AND IDCURECORD = '673';

UPDATE CURECORD SET DESCRIZIONE = 'Addizionale comunale acconto 2024' WHERE ANNO = '2025' AND IDCUSEZIONE = '14' AND IDCURECORD = '545';

UPDATE CURECORD SET DESCRIZIONE = 'Addizionale comunale saldo 2024' WHERE ANNO = '2025' AND IDCUSEZIONE = '14' AND IDCURECORD = '546';



COMMIT WORK;







-- Pubblica amministrazione

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('157', 'EP', 'Elevate professionalità', 'EP', NULL, NULL, NULL, '01.01.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('157', 'C', 'Funzionari', 'EP', NULL, NULL, NULL, '01.01.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('157', 'B', 'Assistenti', 'EP', NULL, NULL, NULL, '01.01.2024');

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('157', 'A', 'Operatori', 'EP', NULL, NULL, NULL, '01.01.2024');



INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('157', 'EP', '4', '01.01.2024', '2886.21', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('157', 'C', '4', '01.01.2024', '2113.59', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('157', 'B', '4', '01.01.2024', '1740.36', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('157', 'A', '4', '01.01.2024', '1653.97', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL);



UPDATE CONTRATTODETTAGLIOLIVELLOVOCE SET IMPORTO = '2886.21' WHERE IDCONTRATTODETTAGLIO = '157' AND IDLIVELLO = 'EP' AND IDVOCE = '4' AND VALIDODAL = '01.01.2024';

UPDATE CONTRATTODETTAGLIOLIVELLOVOCE SET IMPORTO = '2113.59' WHERE IDCONTRATTODETTAGLIO = '157'  AND IDLIVELLO = 'C' AND IDVOCE = '4' AND VALIDODAL = '01.01.2024';

UPDATE CONTRATTODETTAGLIOLIVELLOVOCE SET IMPORTO = '1740.36' WHERE IDCONTRATTODETTAGLIO = '157'  AND IDLIVELLO = 'B' AND IDVOCE = '4' AND VALIDODAL = '01.01.2024';

UPDATE CONTRATTODETTAGLIOLIVELLOVOCE SET IMPORTO = '1653.97' WHERE IDCONTRATTODETTAGLIO = '157'  AND IDLIVELLO = 'A' AND IDVOCE = '4' AND VALIDODAL = '01.01.2024';



INSERT INTO ISTAT_FOI (ANNO, MESE, INDICE, BASE) VALUES ('2025', '01', '120.900000', '2015');



COMMIT WORK;



-- end fix da PagheOpen



-- Correzione CCNL (di aggiornamenti precedenti)



-------------------- CCNL artigianato “Area Meccanica” (oppure "Metalmeccanica Artigianato") - cod inps 116, cod dettaglio 23



-- richiesta http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=15269



-- Livello 1Q

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '1Q', '5', '01.11.2024', '1955.32', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '1Q', '5', '01.07.2025', '2049.51', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '1Q', '5', '01.03.2026', '2080.91', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '1Q', '5', '01.11.2026', '2106.03', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.03.2025');



COMMIT WORK;



-- Livello 1

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '1', '5', '01.11.2024', '1955.32', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '1', '5', '01.07.2025', '2049.51', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '1', '5', '01.03.2026', '2080.91', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '1', '5', '01.11.2026', '2106.03', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.03.2025');



COMMIT WORK;



-- Livello 2

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '2', '5', '01.11.2024', '1819.35', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '2', '5', '01.07.2025', '1906.99', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '2', '5', '01.03.2026', '1936.20', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '2', '5', '01.11.2026', '1959.57', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.03.2025');



COMMIT WORK;



-- Livello 2 bis

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '2bis', '5', '01.11.2024', '1717.91', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '2bis', '5', '01.07.2025', '1800.66', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '2bis', '5', '01.03.2026', '1828.24', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '2bis', '5', '01.11.2026', '1850.31', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.03.2025');



COMMIT WORK;



-- Livello 3

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '3', '5', '01.11.2024', '1651.91', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '3', '5', '01.07.2025', '1731.48', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '3', '5', '01.03.2026', '1758.00', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '3', '5', '01.11.2026', '1779.22', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.03.2025');



COMMIT WORK;



-- Livello 4

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '4', '5', '01.11.2024', '1556.98', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '4', '5', '01.07.2025', '1631.98', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '4', '5', '01.03.2026', '1656.98', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '4', '5', '01.11.2026', '1676.98', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.03.2025');



COMMIT WORK;



-- Livello 5

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '5', '5', '01.11.2024', '1499.59', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '5', '5', '01.07.2025', '1571.83', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '5', '5', '01.03.2026', '1595.91', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE VALUES ('23', '5', '5', '01.11.2026', '1615.17', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '12.03.2025');



COMMIT WORK;





-- Aggiornamento Corsini



-- Agricoli modena :



-- OTD



INSERT INTO CONTRATTODETTAGLIO (IDCONTRATTODETTAGLIO, IDINPSCONTRATTO, IDUNITAMISURA, DESCRIZIONE, EDR, TREDICESIMAMESE, TREDICESIMAGIORNO, QUATTORDICESIMAMESE, QUATTORDICESIMAGIORNO, ISTITUTOSCATTI, BANCAORE, STRAORDINARILIMITEOREANNO, STRAORDINARILIMITEOREMESE, STRAORDINARILIMITEORESETTIMANA, STRAORDINARILIMITEOREGIORNO, SCATTIMESE, SCATTINUMERO, CONTINGENZA, INTEGRAZCONGEDOMATR, ULTIMAMODIFICA, ULTIMAMODIFICAUSER) VALUES ('1052', '011', '1', 'OTD - Modena', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, '12.03.2025', NULL);



INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, DATAAGGIORNAMENTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE) VALUES ('1052', 'A', 'Comune A', '011', '12.03.2025', NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, DATAAGGIORNAMENTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE) VALUES ('1052', 'B', 'Comune B', '011', '12.03.2025', NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, DATAAGGIORNAMENTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE) VALUES ('1052', 'Q', 'Qualificato', '011', '12.03.2025', NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, DATAAGGIORNAMENTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE) VALUES ('1052', 'QS', 'Qualificato super', '011', '12.03.2025', NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, DATAAGGIORNAMENTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE) VALUES ('1052', 'S', 'Specializzato', '011', '12.03.2025', NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, DATAAGGIORNAMENTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE) VALUES ('1052', 'SS', 'Specializzato super', '011', '12.03.2025', NULL, NULL, NULL);



INSERT INTO CONTRATTODETTAGLIOVOCE (IDCONTRATTODETTAGLIO, IDVOCE, IDINPSCONTRATTO, IDBASEIMPONIBILE, INPS, IRPEF, TFR, INDIRETTO, MAGGIORAZIONE, MESE) VALUES ('1052', '8', '011', NULL, '1', '1', '1', NULL, '1', NULL);



INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, DATAAGGIORNAMENTO, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE) VALUES ('1052', 'A', '8', '01.11.2024', '8.9300', NULL, '12.03.2025', NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, DATAAGGIORNAMENTO, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE) VALUES ('1052', 'B', '8', '01.11.2024', '11.3200', NULL, '12.03.2025', NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, DATAAGGIORNAMENTO, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE) VALUES ('1052', 'Q', '8', '01.11.2024', '12.7500', NULL, '12.03.2025', NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, DATAAGGIORNAMENTO, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE) VALUES ('1052', 'QS', '8', '01.11.2024', '13.2700', NULL, '12.03.2025', NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, DATAAGGIORNAMENTO, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE) VALUES ('1052', 'S', '8', '01.11.2024', '14.1200', NULL, '12.03.2025', NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, DATAAGGIORNAMENTO, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE) VALUES ('1052', 'SS', '8', '01.11.2024', '14.8800', NULL, '12.03.2025', NULL, NULL, NULL, NULL, NULL, NULL);



INSERT INTO CONTRATTOCOEFFICIENTE (IDCONTRATTODETTAGLIO, IDCOEFFICIENTE, DESCRIZIONE, GIORNALIERO, ORARIO, GIORNISETTIMANA, ORESETTIMANA, SOLODONNAEMINORE, SOLOUOMO, IDTIPOLAVORATORE2, MENSILITA, MENSILITAAGGIUNTIVA, MENSILITAAGGIDUM, MENSILITA1000, NOTE, ULTIMAMODIFICA, ULTIMAMODIFICAUSER) VALUES ('1052', '2', NULL, '26.00', '169.00', '6.00', '39.00', NULL, NULL, '2', '14', NULL, NULL, '14000', '',  '15.02.2011, 15:25:00.779', NULL);

INSERT INTO CONTRATTOCOEFFICIENTE (IDCONTRATTODETTAGLIO, IDCOEFFICIENTE, DESCRIZIONE, GIORNALIERO, ORARIO, GIORNISETTIMANA, ORESETTIMANA, SOLODONNAEMINORE, SOLOUOMO, IDTIPOLAVORATORE2, MENSILITA, MENSILITAAGGIUNTIVA, MENSILITAAGGIDUM, MENSILITA1000, NOTE, ULTIMAMODIFICA, ULTIMAMODIFICAUSER) VALUES ('1052', '1', NULL, '26.00', '169.00', '5.00', '39.00', NULL, NULL, '2', '14', NULL, NULL, '14000', 'distribuite su 5 o 6 giorni', '04.08.2008, 10:25:36.000', NULL);



-- OTI



INSERT INTO CONTRATTODETTAGLIO (IDCONTRATTODETTAGLIO, IDINPSCONTRATTO, IDUNITAMISURA, DESCRIZIONE, EDR, TREDICESIMAMESE, TREDICESIMAGIORNO, QUATTORDICESIMAMESE, QUATTORDICESIMAGIORNO, ISTITUTOSCATTI, BANCAORE, STRAORDINARILIMITEOREANNO, STRAORDINARILIMITEOREMESE, STRAORDINARILIMITEORESETTIMANA, STRAORDINARILIMITEOREGIORNO, SCATTIMESE, SCATTINUMERO, CONTINGENZA, INTEGRAZCONGEDOMATR, ULTIMAMODIFICA, ULTIMAMODIFICAUSER) VALUES ('1053', '011', '1', 'OTI - Modena', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, '12.03.2025', NULL);



INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, DATAAGGIORNAMENTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE) VALUES ('1053', 'Q', 'Qualificato', '011', '12.03.2025', NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, DATAAGGIORNAMENTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE) VALUES ('1053', 'QS', 'Qualificato super', '011', '12.03.2025', NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, DATAAGGIORNAMENTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE) VALUES ('1053', 'S', 'Specializzato', '011', '12.03.2025', NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, DATAAGGIORNAMENTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE) VALUES ('1053', 'SS', 'Specializzato super', '011', '12.03.2025', NULL, NULL, NULL);



INSERT INTO CONTRATTODETTAGLIOVOCE (IDCONTRATTODETTAGLIO, IDVOCE, IDINPSCONTRATTO, IDBASEIMPONIBILE, INPS, IRPEF, TFR, INDIRETTO, MAGGIORAZIONE, MESE) VALUES ('1053', '8', '011', NULL, '1', '1', '1', NULL, '1', NULL);



INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, DATAAGGIORNAMENTO, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE) VALUES ('1053', 'Q', '8', '01.11.2024', '1652.25', NULL, '12.03.2025', NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, DATAAGGIORNAMENTO, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE) VALUES ('1053', 'QS', '8', '01.11.2024', '1719.14', NULL, '12.03.2025', NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, DATAAGGIORNAMENTO, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE) VALUES ('1053', 'S', '8', '01.11.2024', '1828.97', NULL, '12.03.2025', NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, DATAAGGIORNAMENTO, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE) VALUES ('1053', 'SS', '8', '01.11.2024', '1927.92', NULL, '12.03.2025', NULL, NULL, NULL, NULL, NULL, NULL);



INSERT INTO CONTRATTOCOEFFICIENTE (IDCONTRATTODETTAGLIO, IDCOEFFICIENTE, DESCRIZIONE, GIORNALIERO, ORARIO, GIORNISETTIMANA, ORESETTIMANA, SOLODONNAEMINORE, SOLOUOMO, IDTIPOLAVORATORE2, MENSILITA, MENSILITAAGGIUNTIVA, MENSILITAAGGIDUM, MENSILITA1000, NOTE, ULTIMAMODIFICA, ULTIMAMODIFICAUSER) VALUES ('1053', '2', NULL, '26.00', '169.00', '6.00', '39.00', NULL, NULL, '2', '14', NULL, NULL, '14000', '', '15.02.2011, 15:25:00.779', NULL);

INSERT INTO CONTRATTOCOEFFICIENTE (IDCONTRATTODETTAGLIO, IDCOEFFICIENTE, DESCRIZIONE, GIORNALIERO, ORARIO, GIORNISETTIMANA, ORESETTIMANA, SOLODONNAEMINORE, SOLOUOMO, IDTIPOLAVORATORE2, MENSILITA, MENSILITAAGGIUNTIVA, MENSILITAAGGIDUM, MENSILITA1000, NOTE, ULTIMAMODIFICA, ULTIMAMODIFICAUSER) VALUES ('1053', '1', NULL, '26.00', '169.00', '5.00', '39.00', NULL, NULL, '2', '14', NULL, NULL, '14000', 'distribuite su 5 o 6 giorni', '04.08.2008, 10:25:36.000', NULL);



COMMIT WORK;



-- OTI per Studio Corsini



INSERT INTO CONTRATTODETTAGLIO (IDCONTRATTODETTAGLIO, IDINPSCONTRATTO, IDUNITAMISURA, DESCRIZIONE, EDR, TREDICESIMAMESE, TREDICESIMAGIORNO, QUATTORDICESIMAMESE, QUATTORDICESIMAGIORNO, ISTITUTOSCATTI, BANCAORE, STRAORDINARILIMITEOREANNO, STRAORDINARILIMITEOREMESE, STRAORDINARILIMITEORESETTIMANA, STRAORDINARILIMITEOREGIORNO, SCATTIMESE, SCATTINUMERO, CONTINGENZA, INTEGRAZCONGEDOMATR, ULTIMAMODIFICA, ULTIMAMODIFICAUSER) VALUES ('1054', '011', '1', 'OTI - Settore tradizionale', NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '0', NULL, '12.03.2025', NULL);



INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, DATAAGGIORNAMENTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE) VALUES ('1054', '7', 'Specializzato super', '011', '12.03.2025', NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, DATAAGGIORNAMENTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE) VALUES ('1054', '6', 'Specializzato intermedio', '011', '12.03.2025', NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, DATAAGGIORNAMENTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE) VALUES ('1054', '5', 'Specializzato', '011', '12.03.2025', NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, DATAAGGIORNAMENTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE) VALUES ('1054', '4', 'Qualificato super', '011', '12.03.2025', NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, DATAAGGIORNAMENTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE) VALUES ('1054', '3', 'Qualificato', '011', '12.03.2025', NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, DATAAGGIORNAMENTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE) VALUES ('1054', '2', 'Comuni A', '011', '12.03.2025', NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, DATAAGGIORNAMENTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE) VALUES ('1054', '1', 'Comuni B', '011', '12.03.2025', NULL, NULL, NULL);



INSERT INTO CONTRATTODETTAGLIOVOCE (IDCONTRATTODETTAGLIO, IDVOCE, IDINPSCONTRATTO, IDBASEIMPONIBILE, INPS, IRPEF, TFR, INDIRETTO, MAGGIORAZIONE, MESE) VALUES ('1054', '8', '011', NULL, '1', '1', '1', NULL, '1', NULL);



INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, DATAAGGIORNAMENTO, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE) VALUES ('1054', '7', '8', '01.12.2024', '14.81', NULL, '12.03.2025', NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, DATAAGGIORNAMENTO, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE) VALUES ('1054', '6', '8', '01.12.2024', '14.09', NULL, '12.03.2025', NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, DATAAGGIORNAMENTO, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE) VALUES ('1054', '5', '8', '01.12.2024', '14.03', NULL, '12.03.2025', NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, DATAAGGIORNAMENTO, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE) VALUES ('1054', '4', '8', '01.12.2024', '12.99', NULL, '12.03.2025', NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, DATAAGGIORNAMENTO, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE) VALUES ('1054', '3', '8', '01.12.2024', '12.21', NULL, '12.03.2025', NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, DATAAGGIORNAMENTO, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE) VALUES ('1054', '2', '8', '01.12.2024', '11.17', NULL, '12.03.2025', NULL, NULL, NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, DATAAGGIORNAMENTO, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE) VALUES ('1054', '1', '8', '01.12.2024', '9.29', NULL, '12.03.2025', NULL, NULL, NULL, NULL, NULL, NULL);



INSERT INTO CONTRATTOCOEFFICIENTE (IDCONTRATTODETTAGLIO, IDCOEFFICIENTE, DESCRIZIONE, GIORNALIERO, ORARIO, GIORNISETTIMANA, ORESETTIMANA, SOLODONNAEMINORE, SOLOUOMO, IDTIPOLAVORATORE2, MENSILITA, MENSILITAAGGIUNTIVA, MENSILITAAGGIDUM, MENSILITA1000, NOTE, ULTIMAMODIFICA, ULTIMAMODIFICAUSER) VALUES ('1054', '2', NULL, '26.00', '169.00', '6.00', '39.00', NULL, NULL, '2', '14', NULL, NULL, '14000', '', '15.02.2011, 15:25:00.779', NULL);

INSERT INTO CONTRATTOCOEFFICIENTE (IDCONTRATTODETTAGLIO, IDCOEFFICIENTE, DESCRIZIONE, GIORNALIERO, ORARIO, GIORNISETTIMANA, ORESETTIMANA, SOLODONNAEMINORE, SOLOUOMO, IDTIPOLAVORATORE2, MENSILITA, MENSILITAAGGIUNTIVA, MENSILITAAGGIDUM, MENSILITA1000, NOTE, ULTIMAMODIFICA, ULTIMAMODIFICAUSER) VALUES ('1054', '1', NULL, '26.00', '169.00', '5.00', '39.00', NULL, NULL, '2', '14', NULL, NULL, '14000', 'distribuite su 5 o 6 giorni', '04.08.2008, 10:25:36.000', NULL);



COMMIT WORK;



-- Apprendistato per CNEL H05Y



INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, DESCRIZIONE) VALUES ('1050', '7', 'APPB', '1', '12', '0.800000', NULL);

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, DESCRIZIONE) VALUES ('1050', '7', 'APPB', '13', '24', '0.850000', NULL);

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, DESCRIZIONE) VALUES ('1050', '7', 'APPB', '25', '36', '0.900000', NULL);

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, DESCRIZIONE) VALUES ('1050', '7', 'APPB', '37', '48', '0.950000', NULL);

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, DESCRIZIONE) VALUES ('1050', '6', 'APPB', '1', '12', '0.800000', NULL);

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, DESCRIZIONE) VALUES ('1050', '6', 'APPB', '13', '24', '0.850000', NULL);

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, DESCRIZIONE) VALUES ('1050', '6', 'APPB', '25', '36', '0.900000', NULL);

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, DESCRIZIONE) VALUES ('1050', '6', 'APPB', '37', '48', '0.950000', NULL);

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, DESCRIZIONE) VALUES ('1050', '5', 'APPB', '1', '12', '0.800000', NULL);

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, DESCRIZIONE) VALUES ('1050', '5', 'APPB', '13', '24', '0.850000', NULL);

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, DESCRIZIONE) VALUES ('1050', '5', 'APPB', '25', '36', '0.900000', NULL);

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, DESCRIZIONE) VALUES ('1050', '5', 'APPB', '37', '48', '0.950000', NULL);

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, DESCRIZIONE) VALUES ('1050', '4', 'APPB', '1', '12', '0.800000', NULL);

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, DESCRIZIONE) VALUES ('1050', '4', 'APPB', '13', '24', '0.850000', NULL);

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, DESCRIZIONE) VALUES ('1050', '4', 'APPB', '25', '36', '0.900000', NULL);

INSERT INTO CONTRATTOAPPRENDISTATO (IDCONTRATTODETTAGLIO, IDLIVELLO, IDINPSTIPOAPPRENDISTATO, MESEDA, MESEA, PERCENTUALE, DESCRIZIONE) VALUES ('1050', '4', 'APPB', '37', '48', '0.950000', NULL);



COMMIT WORK;





-- Richiesta http://192.168.0.106:85/otrs/index.pl?Action=AgentTicketZoom;TicketID=15516;OTRSAgentInterface=IanVu5Or0XZoH7jtncc6STmQLHmhfSRI#72079

-- Dettaglio 1055 - Contratto 204 - Cnel H601



INSERT INTO CONTRATTODETTAGLIO (IDCONTRATTODETTAGLIO, IDINPSCONTRATTO, IDUNITAMISURA, DESCRIZIONE, EDR, TREDICESIMAMESE, TREDICESIMAGIORNO, QUATTORDICESIMAMESE, QUATTORDICESIMAGIORNO, ISTITUTOSCATTI, BANCAORE, STRAORDINARILIMITEOREANNO, STRAORDINARILIMITEOREMESE, STRAORDINARILIMITEORESETTIMANA, STRAORDINARILIMITEOREGIORNO, SCATTIMESE, SCATTINUMERO, CONTINGENZA,  INTEGRAZCONGEDOMATR, ULTIMAMODIFICA, ULTIMAMODIFICAUSER, CUSTOM) VALUES ('1055', '204', '4', 'CED',  NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, NULL, '06.02.2025, 10:31:26.000', NULL, '0');



INSERT INTO CONTRATTOCOEFFICIENTE (IDCONTRATTODETTAGLIO, IDCOEFFICIENTE, DESCRIZIONE, GIORNALIERO, ORARIO, GIORNISETTIMANA, ORESETTIMANA, SOLODONNAEMINORE, SOLOUOMO, IDTIPOLAVORATORE2, MENSILITA, MENSILITAAGGIUNTIVA, MENSILITAAGGIDUM, MENSILITA1000, NOTE, ULTIMAMODIFICA, ULTIMAMODIFICAUSER) VALUES ('1055', '1', '1', '26.00', '168.00', '5.00', '40.00', NULL, NULL, '0', '14', NULL, NULL, '14000', '', '08.07.2008', NULL);

INSERT INTO CONTRATTOCOEFFICIENTE (IDCONTRATTODETTAGLIO, IDCOEFFICIENTE, DESCRIZIONE, GIORNALIERO, ORARIO, GIORNISETTIMANA, ORESETTIMANA, SOLODONNAEMINORE, SOLOUOMO, IDTIPOLAVORATORE2, MENSILITA, MENSILITAAGGIUNTIVA, MENSILITAAGGIDUM, MENSILITA1000, NOTE, ULTIMAMODIFICA, ULTIMAMODIFICAUSER) VALUES ('1055', '2', '2', '26.00', '195.00', '6.00', '45.00', NULL, NULL, '0', '14', NULL, NULL, '14000', '', '08.07.2008', NULL);



INSERT INTO CONTRATTODETTAGLIOVOCE (IDCONTRATTODETTAGLIO, IDVOCE, IDBASEIMPONIBILE, IDINPSCONTRATTO, INPS, IRPEF, TFR, INDIRETTO, MAGGIORAZIONE, MESE) VALUES ('1055', '8', NULL, '204', '1', '1', '1', NULL, '1', NULL);



INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('1055', 'QD', 'Quadri di direzione', '204', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('1055', 'Q', 'Quadri', '204', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('1055', '1', 'I livello', '204', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('1055', '2', 'II livello', '204', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('1055', '3S', 'IIIS livello', '204', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('1055', '3', 'III livello', '204', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('1055', '4', 'IV livello', '204', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('1055', '5', 'V livello', '204', NULL, NULL, NULL, NULL);

INSERT INTO CONTRATTODETTAGLIOLIVELLO (IDCONTRATTODETTAGLIO, IDLIVELLO, DESCRIZIONE, IDINPSCONTRATTO, APPRENDISTA, IDCONTRATTODETTFINALE, IDLIVELLOFINALE, DATAAGGIORNAMENTO) VALUES ('1055', '6', 'VI livello', '204', NULL, NULL, NULL, NULL);



INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1055', 'QD', '8', '01.04.2022', '2896.81', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '13.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1055', 'Q', '8', '01.04.2022', '2632.64', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '13.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1055', '1', '8', '01.04.2022', '2260.29', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '13.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1055', '2', '8', '01.04.2022', '2023.58', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '13.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1055', '3S', '8', '01.04.2022', '1940.16', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '13.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1055', '3', '8', '01.04.2022', '1816.30', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '13.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1055', '4', '8', '01.04.2022', '1690.01', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '13.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1055', '5', '8', '01.04.2022', '1609.07', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '13.03.2025');

INSERT INTO CONTRATTODETTAGLIOLIVELLOVOCE (IDCONTRATTODETTAGLIO, IDLIVELLO, IDVOCE, VALIDODAL, IMPORTO, PERCENTUALE, IDCONTRATTODETTRIF, IDLIVELLORIF, IDVOCERIF, VALIDODALRIF, VALIDODALMESE, VALIDOALMESE, DATAAGGIORNAMENTO) VALUES ('1055', '6', '8', '01.04.2022', '1358.86', NULL, NULL, NULL, NULL, NULL, NULL, NULL, '13.03.2025');



COMMIT WORK;





SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                COMMON                                ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS



SET NAMES UTF8; -- noqa: PRS



CONNECT 'localhost:./firebird_data/common.fdb' USER 'SYSDBA' PASSWORD 'masterkey';  -- noqa: PRS



SET SQL DIALECT 3; -- noqa: PRS



INSERT INTO M770_CATEGORIAPARTICOLARE (IDCATEGORIA, DESCRIZIONE) VALUES ('Z2', 'Ex coniuge (in caso di procedure di pignoramento presso terzi)');

INSERT INTO M770_CATEGORIAPARTICOLARE (IDCATEGORIA, DESCRIZIONE) VALUES ('Z3', 'Soci di cooperative artigiane di cui legge n. 208 del 2005');

INSERT INTO M770_CATEGORIAPARTICOLARE (IDCATEGORIA, DESCRIZIONE) VALUES ('Z4', 'Dipendenti di ditta appaltatrice inadempiente');



COMMIT WORK;



INSERT INTO F24_TRIBUTOERARIO (IDTRIBUTO, TRIBUTO, TIPO, DESCRIZIONE) VALUES ('9670', '1703', 'Autoliquidazione', 'Credito maturato dai sostituti d''imposta per l''erogazione del bonus ai lavoratori dipendenti - a. 2-bis del D.l. 9 Agosto 2024, n. 113');



COMMIT WORK; -- skip error



SET ECHO ON; -- noqa: PRS



/******************************************************************************/

/****                                END                                   ****/

/******************************************************************************/



SET ECHO OFF; -- noqa: PRS